package com.elephant.framework.galaxy.aroad.module.roadcondition.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.elephant.framework.galaxy.aroad.module.roadcondition.dto.*;
import com.elephant.framework.galaxy.aroad.module.roadcondition.entity.RoadConditionEvent;

import java.util.List;

/**
 * 路况事件统计
 *
 * @author Xingyuyang
 * @date 2019-04-23 16:41:06
 */
public interface RoadConditionEventMapper extends BaseMapper<RoadConditionEvent> {
	List<staticByEventTypeDto> staticByEventType();
	List<staticByInfluenceDto> staticByInfluence();
	List<staticByMonthDto> staticByMonth();
	List<staticByRoadCodeDto> staticByRoadCode();
	List<staticByCityDto> staticByCity();
}
